slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSGetState

Returns the current state.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetState(DS ds,DSStateType *state)

Not Collective

### Input Parameter

| ds | - the direct solver context

### Output Parameter

| state | - current state

### See Also

DSSetState()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages